Bug 188321 - Creating an alias for a network interface breaks device setup after reboots
Creating an alias for a network interface breaks device setup after reboots
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2006-04-07 16:48 EDT by Bruno Wolff III
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 07:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2006-04-07 16:48:09 EDT
Description of problem:
I tried to add an alias for a network device using the GUI by creating a second
network device for the same hardware device. This partially worked, but the
device would not come up after rebooting.

I was able to get things to work properly by editing the :1 file and deleting
all of the entries other than IPADDR and NETMASK.

Version-Release number of selected component (if applicable):
1.3.30-2.1

How reproducible:
I only tried a few times, but it happened all of the times I tried it.

Steps to Reproduce:
1. Create a second network device for a single network card.
2. Reboot.
3. Using ifconfig to check status of the network devices.
  
Actual results:
I got the following log messages on reboot:
Apr  2 11:08:59 localhost kernel: eth1: link down
Apr  2 11:08:59 localhost kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready

I don't have the ifconfig results handy, but they definitely showed things were
not right.

Expected results:
eth1 and eth1:1 both as function network interfaces after reboot.

Additional info:
ifcfg-eth1 (I believe I changed PEERDNS to no after fixing the problem):
# Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+
DEVICE=eth1
HWADDR=00:48:54:8F:1C:DB
ONBOOT=yes
TYPE=Ethernet
NETMASK=255.255.255.0
IPADDR=66.93.197.194
GATEWAY=66.93.197.1
BOOTPROTO=none
USERCTL=no
IPV6INIT=no
PEERDNS=no

ifcfg-eth1:1 (after editing):
IPADDR=10.0.0.2
NETMASK=255.0.0.0

Note You need to log in before you can comment on or make changes to this bug.